Loading...
Searching...
No Matches
juce::AudioProcessorGraph::Connection Struct Reference

## Detailed Description

Represents a connection between two channels of two nodes in an AudioProcessorGraph.

To create a connection, use AudioProcessorGraph::addConnection().

The documentation for this struct was generated from the following file:

- juce_audio_processors_headless/processors/juce_AudioProcessorGraph.h

## Public Member Functions

constexpr | Connection ()=default
constexpr | Connection (NodeAndChannel sourceIn, NodeAndChannel destinationIn) noexcept
constexpr | Connection (const Connection &)=default
constexpr Connection & | operator= (const Connection &)=default
constexpr bool | operator== (const Connection &other) const noexcept
constexpr bool | operator!= (const Connection &other) const noexcept
constexpr bool | operator< (const Connection &other) const noexcept

## Public Attributes

NodeAndChannel | source { {}, 0 }
| The channel and node which is the input source for this connection.
NodeAndChannel | destination { {}, 0 }
| The channel and node which is the input source for this connection.

## Constructors and Destructors

## Connection() [1/3]

juce::AudioProcessorGraph::Connection::Connection | ( |  | ) |

constexpr default

Referenced by Connection(), operator!=(), operator<(), operator=(), and operator==().

## Connection() [2/3]

juce::AudioProcessorGraph::Connection::Connection | ( | NodeAndChannel | sourceIn,
|  | NodeAndChannel | destinationIn )

inline constexpr noexcept

References destination, and source.

## Connection() [3/3]

juce::AudioProcessorGraph::Connection::Connection | ( | const Connection & |  | ) |

constexpr default

References Connection().

## Member Functions

## operator=()

Connection & juce::AudioProcessorGraph::Connection::operator= | ( | const Connection & |  | ) |

constexpr default

References Connection().

## operator==()

bool juce::AudioProcessorGraph::Connection::operator== | ( | const Connection & | other | ) | const

inline constexpr noexcept

References Connection(), destination, and source.

## operator!=()

bool juce::AudioProcessorGraph::Connection::operator!= | ( | const Connection & | other | ) | const

inline constexpr noexcept

References Connection().

## operator<()

bool juce::AudioProcessorGraph::Connection::operator< | ( | const Connection & | other | ) | const

inline constexpr noexcept

References Connection(), and x.

## Member Data Documentation

## source

NodeAndChannel juce::AudioProcessorGraph::Connection::source { {}, 0 }

The channel and node which is the input source for this connection.

Referenced by Connection(), and operator==().

## destination

NodeAndChannel juce::AudioProcessorGraph::Connection::destination { {}, 0 }

The channel and node which is the input source for this connection.

Referenced by Connection(), and operator==().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited